Subject: Re: [PATCH][PPC32] Add performance counters to cpu_spec

From: Kumar Gala <[email-masked]>
Date: Tue, 9 Nov 2004 08:27:22 -0600

On Nov 9, 2004, at 3:13 AM, Geert Uytterhoeven wrote:

> On Mon, 8 Nov 2004, Kumar Gala wrote:
>  > Adds the number of performance monitor counters each PowerPC 
> processor has to
>  > the cpu table.  Makes oprofile support a bit cleaner since we dont 
> need a case
>  > statement on processor version to determine the number of counters.
>  >
> > Signed-off-by: Kumar Gala <[email-masked]>
> >
> > --
>  >
> > diff -Nru a/arch/ppc/kernel/cputable.c b/arch/ppc/kernel/cputable.c
> > --- a/arch/ppc/kernel/cputable.c      2004-11-08 21:02:51 -06:00
>  > +++ b/arch/ppc/kernel/cputable.c      2004-11-08 21:02:51 -06:00
>  > @@ -82,6 +82,7 @@
>  >       CPU_FTR_601 | CPU_FTR_HPTE_TABLE,
> >       COMMON_PPC | PPC_FEATURE_601_INSTR | PPC_FEATURE_UNIFIED_CACHE,
> >       32, 32,
>  > +     0,
>  >       __setup_cpu_601
> >      },
>  >      {        /* 603 */
>
> Perhaps you want to switch to C99-style struct initialization as well?

I can change it C99-style as well as fixing the formatting, just wanted 
to see if there we any other comments.  Will resend with those changes 
if I dont hear any other feedback.

- kumar